#! /usr/bin/bash

if [[ $UID != 0 ]]; then
  echo "Please run this using sudo"
  exit
fi

prefix=backup_elog
fileName=$prefix-$(date +'%m-%d-%Y').tar.gz

dir=$(pwd)

nFile=$(ls -1 $prefix* | wc -l)

if [[ $nFile -gt 3 ]]; then
   oldFile=$(ls -t $prefix* | tail -1)
   echo "==== remove the old file $oldFile"
   rm -f $oldFile
fi


echo "====== backup elog data"

cd /mnt/data0/

tar -czf $fileName elog

ls -l $fileName

mv $fileName $dir/.

echo "backup saved to ${fileName}"
